<div class="shadow-box mb-5">
  <%= simple_form_for @department, html: {class: "mt-4"} do |f| %>
    <%= f.error_notification %>
    <div class="row">
      <div class="col-md-3">
        <%= f.input :department_list_id, label: "FACULTY", collection: department_collection, input_html: {class: "form-control form-flied"} %>
      </div>
      <div class="col-md-3">
        <%= f.input :program_id, label: "PROGRAM", collection: program_collection, input_html: {class: "form-control form-flied"} %>
      </div>
      <div class="col-md-3">
        <%= f.input :subject_id, label: "SUBJECT", collection: @department.new_record? ? [] : subject_collection, input_html: {class: "form-control form-flied"} %>
      </div>
    </div>

    <hr>
    <div class="sub-head my-4">Fee Structure</div>
    <%= f.simple_fields_for :fee_structure do |fee_structure| %>
      <%= render 'fee_structure_fields', :f => fee_structure %>
    <% end %>

    <hr>
    <div class="sub-head my-4">Faculty</div>
    <%= f.simple_fields_for :faculties do |faculty| %>
      <%= render 'faculty_fields', :f => faculty %>
    <% end %>
    <div class='links'>
      <%= link_to_add_association 'ADD FACULTY', f, :faculties, class: "btn-success btn rounded-2 btn-sm" %>
    </div>

    <hr>
    <div class="sub-head my-4">Student</div>
    <%= f.simple_fields_for :student do |student| %>
      <%= render 'student_fields', :f => student %>
    <% end %>

    <div class="form-actions">
      <%= f.button :submit, "SAVE", class: "btn btn-primary btn-blue" %>
    </div>
  <% end %>
</div>

<script type="text/javascript">
  $(document).ready(function(){
    $('.datepicker').datepicker({
      autoclose: true
    });
  });
  $('#department_program_id').on('change', function(){
    var program = $(this).find('option:selected').text();
    $.ajax({
      url: "/departments/get_subjects",
      type: "GET",
      data: {name: program},
    })
  });
</script>

